Bug 26845 - Refactor get_template_and_user
Summary: Refactor get_template_and_user
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-28 13:19 UTC by David Cook
Modified: 2021-12-13 21:10 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2020-10-28 13:19:09 UTC
C4::Auth::get_template_and_user is a terrifyingly large function that does way too many things, and it's a complete mess.

Many of the $template->param interactions are just setting system preferences. We shouldn't even need to do that anymore.
Comment 1 David Cook 2020-12-22 06:21:20 UTC
I don't think we're going to ever fix it, so I think the only real hope is to eventually replace it via Bug 26791 or equivalent.